// Copyright 2024 Matthew Rich <matthewrich.conf@gmail.com>. All rights reserved.

package config

import (
_	"context"
_	"fmt"
	"github.com/stretchr/testify/assert"
_	"log"
_	"os"
_	"path/filepath"
_	"strings"
	"testing"
)

func TestNewConfiguration(t *testing.T) {
	configurationUri := "generic://"
	testConfig := NewConfiguration(configurationUri)
	assert.NotNil(t, testConfig)
	v, _ := testConfig.GetValue("foo")
	assert.Nil(t, v)
}
